阿基米德螺旋管

阿基米德螺旋管

【范文精选】阿基米德螺旋管

【范文大全】阿基米德螺旋管

【专家解析】阿基米德螺旋管

【优秀范文】阿基米德螺旋管

范文一:阿基米德螺旋线

阿基米德螺旋线的标准极坐标方程为

ρ=at+P0

式中:

a—阿基米德螺旋线系数,mm/°,表示每旋转1度时极径的增加(或减小)量; t—极角,单位为度,表示阿基米德螺旋线转过的总度数;

ρo—当t=0°时的极径,mm。

实例

一个具有阿基米德螺旋线的凸轮,点P1至点P2为第一段阿基米德螺旋线,点P3至点P4为第二段阿基米德螺旋线。

1.绘图

1)作圆C1和C2

单击“基本曲线”按钮,在弹出的功能工具栏菜单中单击“圆”按钮,选立即菜单中1:圆心_半径,提示圆心点时,输0,0(回车),提示输入半径时,输10(回车)作出R=10的圆C1,提示输入半径时,输12(回车)作出R=12的圆C2,按鼠标右键结束。

因为图形尺寸太小,为了看得更清楚,可将显示的图形放大至屏幕大小。单击屏幕上方常用工具栏中的“动态缩放”按钮,按住鼠标左键,从屏幕下方向上方推动光标时,图形随之放大。

2)作点P1至点P2之间的阿基米德螺旋线

作图前必需先算出这段阿基米德螺旋线条数a和当极角t=0°时的极径ρo。(1)计算点P1和点P2之间的阿基米德螺旋线系数a

P1点的极径为10,P2点的极径为12,P1至P2点转过90°,每转过1度时极径的增大量就是a,故该段的阿基米德螺旋线系数为

a=(12-10)÷90=0.02222mm/°

(2)计算当极角t=0°(即X轴正向)时的极径P0

P1点(极角为180°)时的极径P180=10mm,极角每减小1度时极径减小a=0.02222mm/°,当极角减小至t=0°时的极径为P0,计算如下P0=10-180°×a=10-180°×0.02222=6mm

(3)起始角和终止角

由图8-1中可以直接看出,这段阿基米德螺旋线的起始角为180°,终止角为270°。

(4)绘图

单击“高级曲线”按钮,在弹出的功能工具栏菜单中单击“公式曲线”按钮,弹出如图8-2所示的公式曲线对话框,根据图形已知数据特点,应选极坐标系,用光标单击极坐标系前面的小白圆,出现一小黑点,单位选角度,参变量名仍用t表标极角的角度,起始值即起始角输180,终止值即终止角输270,公式名可输P1 —P2公式输为P=0.0222222*t+6单击“预显”公式曲线对话框中出现P1至P2两点间的这段阿基米德螺旋线。如图8-2所示,单击“确定”按钮,移动光标时这条绿色的阿基米德螺旋线随光标移动,提示曲线定位点时,输0,0(回车),在P1至P2点之间作出了一条白色阿基米德螺旋线。

3)作点P3至点P4之间的另一段阿基米德螺旋线

(1)计算点P1至点P2之间的阿基米德螺旋线系数a

P3点的极径为12,P4点的极径为15,P3点至P4点之间转过45°,故P3点至P4点间的阿基米德螺旋线系数为

a=(15-12)÷45=0.0666666mm/°

(2)计算极角t=0°时的极径P0

P3点(极角t=45°)的极径P45=12mm,极角每减小1度时极径减小a=0.0666666mm/°,当极角减小至t=0°时的极径为P0,计算如下

P0=12-45°×a=12-45°×0.0666666=9mm

(3)起始角和终止角

由图中可以直接看出P3至P4点这段阿基米德螺旋线的起始角为45°,终止角为90°。

(4)绘图

单击“高级曲线”按钮,在弹出的功能工具栏菜单中单击“公式曲线”按钮,弹出如图所示的公式曲线对话框,选极坐标系,单位选角度,参变量为t,起始值输45,终止值输90,公式名输P3_P3,公式输为P=0.0666666*t+9单击“预显”按钮,公式曲线对话框中出现P3至 P4两点间这段阿基米德螺旋线,如图8-3所示,单击“确定”按钮,移动光标时这条绿色的阿基米德螺旋线随光标移动,提示曲线定位点时,输0,0(回车),在P3点至P4点之间作出一条白色阿基米德螺旋线。

4)作直线L1

单击“基本曲线”按钮,在弹出的功能工具栏菜单中单击“直线”按钮,选立即菜单中1:角度线4:角度改输90,提示第一点时,输0,-13(回车),向上移动光标时拉出一条与Y轴重合的绿线,拉绿线至P4点以上时,单击鼠标左键作出白色直线L1。

(5)作圆C1至直线L1上交点处R=1的过滤圆

单击“曲线编辑”按钮,在弹出的功能工具栏中单击“过滤”按钮,选立即菜单1:圆角3:半径改为1,提示拾取第一条曲线时,光标点击直线L1变红色,提示拾取第二条曲线时,点击圆C1圆周,作出R=1的白色过渡圆弧。

2.裁剪

单击“曲线编辑”按钮,在弹出的功能工具栏菜单中单击“裁剪”按钮,提示拾取裁剪曲线时,光标点击多余线段,会逐段剪除,有时裁剪不顺利,不希望剪除的线段会随剪除的部分一起消失,这时可用标准工具栏中的“取消操作”按钮来恢复不该消失的线段,然后重新调整裁剪顺序就会得到满意的结果。

3.公式曲线对话框中“存储”、“提取”及“删除”按钮的用法

单击“存储”按钮时,提问存储当前公式吗?单击“是”,就把当前公式存储起来以备需要时使用。当需要使用已存储过的公式时,单击“提取”按钮,就显示出一系列已存储过的公式,单击“确定”按钮,公式曲线对话框消失,一条绿色曲线随光标移动,提示曲线定位点时,输0,0(回车)曲线定位到坐标轴上,颜色变为白色。当需要删除某个已存储的公式时,单击“删除”按钮,立刻显示出一系列已存储的公式,单击要删除的公式,弹出对话框提问删除此公式吗?单击“是”按钮,该公式就被删除。

已知函数方程式的曲线

图中的P1与P2两点间为已知其函数方程式的曲线,该曲线的方程式为Y=12.5×3.1416×(X/50)3.521

1)绘图

1)作点P1与点P2之间的函数方程曲线

单击“公式曲线”按钮,在弹出如图8-5所示的公式曲线对话框中,选直角坐标系,单位选角度,参变量名改输X,起始值输0,终止值输50,公式名输 FCH,第一个公式X(t)=X,第二个公式Y(t)=12.5*3.1416*(X/50)3.521,输完公式后单击“预显”按钮时,显出该段方程曲线如图8-5中左上角所示,单击“存储”按钮,提问存储当前公式吗?单击“是”按钮,该方程被存好,单击“确定”按钮时,对话框消失,移动光标时一条绿色的该方程曲线随着移动,提示曲线定位点时,输0,0(回车),该曲线变白色定位到坐标轴的适当位置上。

2)绘图C1

单击“圆”按钮,选立即菜单1:圆心_半径,提示输入圆心点时,输0,10(回车),提示输入半径时,输10(回车)绘出圆C1,单击鼠标右键结束。

3)绘直线L1、L3及L5

用角度线(0°)作出直线L3,再将L3平移两次而得直线L1及L5。

单击“基本曲线”按钮,在弹出的功能工具栏中单击“直线”按钮,选立即菜单中1:角度线 4:角度改输0,提示第一点时,输-15,-15(回车),右移光标时拉出一条绿色直线,提示第二点(切点)或长度时,输70(回车)作出一条白色直线L3。

将直线L3平移后作L1和L5,选立即菜单中1:平行线2:偏移方式:3单向,提示拾取直线时,移光标单击直线L3变红色,向上移动光标时,出现一条绿色的直线L3向上移动,提示输入距离或点时,输25(回车)作出一条L3的平行线L1,再向上移动光标时,又出现一条绿色的直线向上移动,提示输入距离或点时,输54.27(回车)作出L3的另一条平行线L5。

4)绘直线L2及L4

用直线L3绕一输点转90°而得直线L2和L4。选立即菜单1:角度线2:直线夹角3:到线上4:角度输90,提示拾取直线时,移动光标单击直线L3变红色,提示第一点时,输-15,-15(回车),向上移动光标时拉出一条绿色直线,提示拾取直线时,移光标单击直线L1时,作出白色直线L2,继续提示输入第一点时,输55,-15(回车),向上移动光标从点 55,-15处向上拉出一条绿色直线,提示拾取曲线时,移光标单击直线L5绘出白色直线L4

2)裁剪

裁剪去多余线段,就得到图形。

原文地址:http://fanwen.wenku1.com/article/31780037.html

范文二:阿基米德螺旋线

8.1阿基米德螺旋线

阿基米德螺旋线的标准极坐标方程为

ρ=at+P0

式中:

a—阿基米德螺旋线系数,mm/°,表示每旋转1度时极径的增加(或减小)量; t—极角,单位为度,表示阿基米德螺旋线转过的总度数;

ρo—当t=0°时的极径,mm。

实例

图8-1为一个具有阿基米德螺旋线的凸轮,点P1至点P2为第一段阿基米德螺旋线,点P3至点P4为第二段阿基米德螺旋线。

1.绘图

1)作圆C1和C2

单击“基本曲线”按钮,在弹出的功能工具栏菜单中单击“圆”按钮,选立即菜单中1:圆心_半径,提示圆心点时,输0,0(回车),提示输入半径时,输10(回车)作出R=10的圆C1,提示输入半径时,输12(回车)作出R=12的圆C2,按鼠标右键结束。

因为图形尺寸太小,为了看得更清楚,可将显示的图形放大至屏幕大小。单击屏幕上方常用工具栏中的“动态缩放”按钮,按住鼠标左键,从屏幕下方向上方推动光标时,图形随之放大。

2)作点P1至点P2之间的阿基米德螺旋线

作图前必需先算出这段阿基米德螺旋线条数a和当极角t=0°时的极径ρo。

(1)计算点P1和点P2之间的阿基米德螺旋线系数a

P1点的极径为10,P2点的极径为12,P1至P2点转过90°,每转过1度时极径的增大量就是a,故该段的阿基米德螺旋线系数为

a=(12-10)÷90=0.02222mm/°

(2)计算当极角t=0°(即X轴正向)时的极径P0

P1点(极角为180°)时的极径P180=10mm,极角每减小1度时极径减小a=0.02222mm/°,当极角减小至t=0°时的极径为P0,计算如下P0=10-180°×a=10-180°×0.02222=6mm

(3)起始角和终止角

由图8-1中可以直接看出,这段阿基米德螺旋线的起始角为180°,终止角为270°。

(4)绘图

单击“高级曲线”按钮,在弹出的功能工具栏菜单中单击“公式曲线”按钮,弹出如图8-2所示的公式曲线对话框,根据图形已知数据特点,应选极坐标系,用光标单击极坐标系前面的小白圆,出现一小黑点,单位选角度,参变量名仍用t表标极角的角度,起始值即起始角输180,终止值即终止角输270,公式名可输P1—P2公式输为P=0.0222222*t+6单击“预显”公式曲线对话框中出现P1至P2两点间的这段阿基米德螺旋线。如图8-2所示,单击“确定”按钮,移动光标时这条绿色的阿基米德螺旋线随光标移动,提示曲线定位点时,输0,0(回车),在P1至P2点之间作出了一条白色阿基米德螺旋线。

3)作点P3至点P4之间的另一段阿基米德螺旋线

(1)计算点P1至点P2之间的阿基米德螺旋线系数a

P3点的极径为12,P4点的极径为15,P3点至P4点之间转过45°,故P3点至P4点间的阿基米德螺旋线系数为

a=(15-12)÷45=0.0666666mm/°

(2)计算极角t=0°时的极径P0

P3点(极角t=45°)的极径P45=12mm,极角每减小1度时极径减小a=0.0666666mm/°,当极角减小至t=0°时的极径为P0,计算如下

P0=12-45°×a=12-45°×0.0666666=9mm

(3)起始角和终止角

由图8-1中可以直接看出P3至P4点这段阿基米德螺旋线的起始角为45°,终止角为90°。

(4)绘图

单击“高级曲线”按钮,在弹出的功能工具栏菜单中单击“公式曲线”按钮,弹出如图所示的公式曲线对话框,选极坐标系,单位选角度,参变量为t,起始值输45,终止值输90,公式名输P3_P3,公式输为P=0.0666666*t+9单击“预显”按钮,公式曲线对话框中出现P3至P4两点间这段阿基米德螺旋线,如图8-3所示,单击“确定”按钮,移动光标时这条绿色的阿基米德螺旋线随光标移动,提示曲线定位点时,输0,0(回车),在P3点至P4点之间作出一条白色阿基米德螺旋线。

4)作直线L1

单击“基本曲线”按钮,在弹出的功能工具栏菜单中单击“直线”按钮,选立即菜单中1:角度线4:角度改输90,提示第一点时,输0,-13(回车),向上移动光标时拉出一条与Y轴重合的绿线,拉绿线至P4点以上时,单击鼠标左键作出白色直线L1。

(5)作圆C1至直线L1上交点处R=1的过滤圆

单击“曲线编辑”按钮,在弹出的功能工具栏中单击“过滤”按钮,选立即菜单1:圆角3:半径改为1,提示拾取第一条曲线时,光标点击直线L1变红色,提示拾取第二条曲线时,点击圆C1圆周,作出R=1的白色过渡圆弧。

2.裁剪

单击“曲线编辑”按钮,在弹出的功能工具栏菜单中单击“裁剪”按钮,提示拾取裁剪曲线时,光标点击多余线段,会逐段剪除,有时裁剪不顺利,不希望剪除的线段会随剪除的部分一起消失,这时可用标准工具栏中的“取消操作”按钮来恢复不该消失的线段,然后重新调整裁剪顺序就会得到满意的结果。

3.公式曲线对话框中“存储”、“提取”及“删除”按钮的用法

单击“存储”按钮时,提问存储当前公式吗?单击“是”,就把当前公式存储起来以备需要时使用。当需要使用已存储过的公式时,单击“提取”按钮,就显示出一系列已存储过的公式,单击“确定”按钮,公式曲线对话框消失,一条绿色曲线随光标移动,提示曲线定位点时,输0,0(回车)曲线定位到坐标轴上,颜色变为白色。当需要删除某个已存储的公式时,单击“删

除”按钮,立刻显示出一系列已存储的公式,单击要删除的公式,弹出对话框提问删除此公式吗?单击“是”按钮,该公式就被删除。

8.2已知函数方程式的曲线

图8-4中的P1与P2两点间为已知其函数方程式的曲线,该曲线的方程式为Y=12.5×3.1416×(X/50)3.521

1)绘图

1)作点P1与点P2之间的函数方程曲线

单击“公式曲线”按钮,在弹出如图8-5所示的公式曲线对话框中,选直角坐标系,单位选角度,参变量名改输X,起始值输0,终止值输50,公式名输FCH,第一个公式X(t)=X,第二个公式Y(t)=12.5*3.1416*(X/50)3.521,输完公式后单击“预显”按钮时,显出该段方程曲线如图8-5中左上角所示,单击“存储”按钮,提问存储当前公式吗?单击“是”按钮,该方程被存好,单击“确定”按钮时,对话框消失,移动光标时一条绿色的该方程曲线随着移动,提示曲线定位点时,输0,0(回车),该曲线变白色定位到坐标轴的适当位置上。

2)绘图C1

单击“圆”按钮,选立即菜单1:圆心_半径,提示输入圆心点时,输0,10(回车),提示输入半径时,输10(回车)绘出圆C1,单击鼠标右键结束。

3)绘直线L1、L3及L5

用角度线(0°)作出直线L3,再将L3平移两次而得直线L1及L5。

单击“基本曲线”按钮,在弹出的功能工具栏中单击“直线”按钮,选立即菜单中1:角度线 4:角度改输0,提示第一点时,输-15,-15(回车),右移光标时拉出一条绿色直线,提示第二点(切点)或长度时,输70(回车)作出一条白色直线L3。

将直线L3平移后作L1和L5,选立即菜单中1:平行线2:偏移方式:3单向,提示拾取直线时,移光标单击直线L3变红色,向上移动光标时,出现一条绿色的直线L3向上移动,提示输入距离或点时,输25(回车)作出一条L3的平行线L1,再向上移动光标时,又出现一条绿色的直线向上移动,提示输入距离或点时,输54.27(回车)作出L3的另一条平行线L5。

4)绘直线L2及L4

用直线L3绕一输点转90°而得直线L2和L4。选立即菜单1:角度线2:直线夹角3:到线上4:角度输90,提示拾取直线时,移动光标单击直线L3变红色,提示第一点时,输-15,-15(回车),向上移动光标时拉出一条绿色直线,提示拾取直线时,移光标单击直线L1时,作出白色直线L2,继续提示输入第一点时,输55,-15(回车),向上移动光标从点55,-15处向上拉出一条绿色直线,提示拾取曲线时,移光标单击直线L5绘出白色直线L4

2)裁剪

裁剪去多余线段,就得到图8-4的图形。

阅读详情:http://www.wenku1.com/news/A355D806843AD948.html

范文三:阿基米德螺旋线

阿基米德螺旋线

阿基米德螺旋线的标准极坐标方程为

ρ=at+P0

式中:

a—阿基米德螺旋线系数,mm/°,表示每旋转1度时极径的增加(或减小)量; t—极角,单位为度,表示阿基米德螺旋线转过的总度数;

ρo—当t=0°时的极径,mm。

实例

一个具有阿基米德螺旋线的凸轮,点P1至点P2为第一段阿基米德螺旋线,点P3至点P4为第二段阿基米德螺旋线。

1.绘图

1)作圆C1和C2

单击“基本曲线”按钮,在弹出的功能工具栏菜单中单击“圆”按钮,选立即菜单中1:圆心_半径,提示圆心点时,输0,0(回车),提示输入半径时,输10(回车)作出R=10的圆C1,提示输入半径时,输12(回车)作出R=12的圆C2,按鼠标右键结束。

因为图形尺寸太小,为了看得更清楚,可将显示的图形放大至屏幕大小。单击屏幕上方常用工具栏中的“动态缩放”按钮,按住鼠标左键,从屏幕下方向上方推动光标时,图形随之放大。

2)作点P1至点P2之间的阿基米德螺旋线

作图前必需先算出这段阿基米德螺旋线条数a和当极角t=0°时的极径ρo。

(1)计算点P1和点P2之间的阿基米德螺旋线系数a

P1点的极径为10,P2点的极径为12,P1至P2点转过90°,每转过1度时极径的增大量就是a,故该段的阿基米德螺旋线系数为

a=(12-10)÷90=0.02222mm/°

(2)计算当极角t=0°(即X轴正向)时的极径P0

P1点(极角为180°)时的极径P180=10mm,极角每减小1度时极径减小a=0.02222mm/°,当极角减小至t=0°时的极径为P0,计算如下P0=10-180°×a=10-180°×0.02222=6mm

(3)起始角和终止角

由图8-1中可以直接看出,这段阿基米德螺旋线的起始角为180°,终止角为270°。

(4)绘图

单击“高级曲线”按钮,在弹出的功能工具栏菜单中单击“公式曲线”按钮,弹出如图8-2所示的公式曲线对话框,根据图形已知数据特点,应选极坐标系,用光标单击极坐标系前面的小白圆,出现一小黑点,单位选角度,参变量名仍用t表标极角的角度,起始值即起始角输180,终止值即终止角输270,公式名可输P1 —P2公式输为P=0.0222222*t+6单击“预显”公式曲线对话框中出现P1至P2两点间的这段阿基米德螺旋线。如图8-2所示,单击“确定”按钮,移动光标时这条绿色的阿基米德螺旋线随光标移动,提示曲线定位点时,输0,0(回车),在P1至P2点之间作出了一条白色阿基米德螺旋线。

3)作点P3至点P4之间的另一段阿基米德螺旋线

(1)计算点P1至点P2之间的阿基米德螺旋线系数a

P3点的极径为12,P4点的极径为15,P3点至P4点之间转过45°,故P3点至P4点间的阿基米德螺旋线系数为

a=(15-12)÷45=0.0666666mm/°

(2)计算极角t=0°时的极径P0

P3点(极角t=45°)的极径P45=12mm,极角每减小1度时极径减小a=0.0666666mm/°,当极角减小至t=0°时的极径为P0,计算如下

P0=12-45°×a=12-45°×0.0666666=9mm

(3)起始角和终止角

由图中可以直接看出P3至P4点这段阿基米德螺旋线的起始角为45°,终止角为90°。

======================================================================

(4)绘图

单击“高级曲线”按钮,在弹出的功能工具栏菜单中单击“公式曲线”按钮,弹出如图所示的公式曲线对话框,选极坐标系,单位选角度,参变量为t,起始值输45,终止值输90,公式名输P3_P3,公式输为P=0.0666666*t+9单击“预显”按钮,公式曲线对话框中出现P3至 P4两点间这段阿基米德螺旋线,如图8-3所示,单击“确定”按钮,移动光标时这条绿色的阿基米德螺旋线随光标移动,提示曲线定位点时,输0,0(回车),在P3点至P4点之间作出一条白色阿基米德螺旋线。

4)作直线L1

单击“基本曲线”按钮,在弹出的功能工具栏菜单中单击“直线”按钮,选立即菜单中1:角度线4:角度改输90,提示第一点时,输0,-13(回车),向上移动光标时拉出一条与Y轴重合的绿线,拉绿线至P4点以上时,单击鼠标左键作出白色直线L1。

(5)作圆C1至直线L1上交点处R=1的过滤圆

单击“曲线编辑”按钮,在弹出的功能工具栏中单击“过滤”按钮,选立即菜单1:圆角3:

半径改为1,提示拾取第一条曲线时,光标点击直线L1变红色,提示拾取第二条曲线时,点击圆C1圆周,作出R=1的白色过渡圆弧。

2.裁剪

单击“曲线编辑”按钮,在弹出的功能工具栏菜单中单击“裁剪”按钮,提示拾取裁剪曲线时,光标点击多余线段,会逐段剪除,有时裁剪不顺利,不希望剪除的线段会随剪除的部分一起消失,这时可用标准工具栏中的“取消操作”按钮来恢复不该消失的线段,然后重新调整裁剪顺序就会得到满意的结果。

3.公式曲线对话框中“存储”、“提取”及“删除”按钮的用法

单击“存储”按钮时,提问存储当前公式吗?单击“是”,就把当前公式存储起来以备需要时使用。当需要使用已存储过的公式时,单击“提取”按钮,就显示出一系列已存储过的公式,单击“确定”按钮,公式曲线对话框消失,一条绿色曲线随光标移动,提示曲线定位点时,输0,0(回车)曲线定位到坐标轴上,颜色变为白色。当需要删除某个已存储的公式时,单击“删除”按钮,立刻显示出一系列已存储的公式,单击要删除的公式,弹出对话框提问删除此公式吗?单击“是”按钮,该公式就被删除。

已知函数方程式的曲线

图中的P1与P2两点间为已知其函数方程式的曲线,该曲线的方程式为Y=12.5×3.1416×(X/50)3.521

1)绘图

1)作点P1与点P2之间的函数方程曲线

单击“公式曲线”按钮,在弹出如图8-5所示的公式曲线对话框中,选直角坐标系,单位选角度,参变量名改输X,起始值输0,终止值输50,公式名输 FCH,第一个公式X(t)=X,第二个公式Y(t)=12.5*3.1416*(X/50)3.521,输完公式后单击“预显”按钮时,显出该段

方程曲线如图8-5中左上角所示,单击“存储”按钮,提问存储当前公式吗?单击“是”按钮,该方程被存好,单击“确定”按钮时,对话框消失,移动光标时一条绿色的该方程曲线随着移动,提示曲线定位点时,输0,0(回车),该曲线变白色定位到坐标轴的适当位置上。

2)绘图C1

单击“圆”按钮,选立即菜单1:圆心_半径,提示输入圆心点时,输0,10(回车),提示输入半径时,输10(回车)绘出圆C1,单击鼠标右键结束。

3)绘直线L1、L3及L5

用角度线(0°)作出直线L3,再将L3平移两次而得直线L1及L5。

单击“基本曲线”按钮,在弹出的功能工具栏中单击“直线”按钮,选立即菜单中1:角度线 4:角度改输0,提示第一点时,输-15,-15(回车),右移光标时拉出一条绿色直线,提示第二点(切点)或长度时,输70(回车)作出一条白色直线L3。

将直线L3平移后作L1和L5,选立即菜单中1:平行线2:偏移方式:3单向,提示拾取直线时,移光标单击直线L3变红色,向上移动光标时,出现一条绿色的直线L3向上移动,提示输入距离或点时,输25(回车)作出一条L3的平行线L1,再向上移动光标时,又出现一条绿色的直线向上移动,提示输入距离或点时,输54.27(回车)作出L3的另一条平行线L5。

4)绘直线L2及L4

用直线L3绕一输点转90°而得直线L2和L4。选立即菜单1:角度线2:直线夹角3:到线上4:角度输90,提示拾取直线时,移动光标单击直线L3变红色,提示第一点时,输-15,-15(回车),向上移动光标时拉出一条绿色直线,提示拾取直线时,移光标单击直线L1时,作出白色直线L2,继续提示输入第一点时,输55,-15(回车),向上移动光标从点 55,-15处向上拉出一条绿色直线,提示拾取曲线时,移光标单击直线L5绘出白色直线L4

2)裁剪

裁剪去多余线段,就得到图形

阅读详情:http://www.wenku1.com/news/31D0351D73BB7601.html

范文四:阿基米德螺旋曲线算法

// ysstme ehaderfi esl

#ncliude sh

#inlude

/ R/C4The adref le

#incliue "drc4itplmh"

s.rutctp lyoong{

horstx av, yvla;l}

;

defi#e n R(00200)

opylongs uqrae[ =

]

-{,R R,

-R- ,R,R,

R,R,

-R, -R,

-R

;}

po

ygon trlainlge[] {=

-,R ,0

, 0R,0, R

,

-, R0

};

#efidn POLYGeNSOZIEf(iuger) (sizof(fegurie/si)zoefpolyg(no))

vo

id ErorMressgae(hsrotError Code;)vo

d idaw(ropygonl fi*ugre,un signe dszei;)

viodm ina(voi *d, oivd*)

{

hostr E rorrodeC;

printf(Po"yglonMa kinr wgti ha OC2l saer\nn\";)

/

/Ini taiizel

ErrrCooe d lo=adc_roretioc_nilef"co(_1tro.1tcb,

1," // t able #1 ;si used b ydeaflut

.10 1,0. , // sc la efatcor0

.0 , // orttainoin d egeers,co nteurcolcwike

s.0, 0.00) //; ofseft ni btis

f(iErorCrdoe){

print("foCrreciton filelo adign eror:r") ;

ErroreMsages(rrorCoEde;)

rteur;n

}

ErroCrdo =elo adprog_rmafil_(eRT"4D2Ch.xe";)

ifErr(roode) C{pr

ntif"Prog(ram fliel aoding error ":);

ErorrMsesge(ErraroCoed;

)reutn;

r}

setl_searm_oed();0 // CO2m de soleectde

es_standty(1b0*8, 0 // ahlf o tfh stenadbyp reod in 1/8i mirocseocds

n);8 / /p uselwi tdhi 1n/ m8ircoesoncsd

//T iinmg, elayda dn spede prseets

testa_trli_st()1;

estlaser__itimg(100,n / ha/f oflt h elsae rsinal gpreoid50

5,,0 / /pu le siwthsd f sogianl LAsSRE a1d LnSER2

A); 0 / /imtebas ; 0 ecorrepsndso t o1 micosecondr./

O/hetrwis,ethe ime btae sis 18 microse/ocnd.ss

ets_cnaernd_eaysl(52, / /j mu pdley ina1 mic0osercons

10, d / m/rk daelya ni 0 1mcrioescnosd

5; ) //p lyoog nelad yni10 micrsecoonsds

t_lesaer_edlay(1s00 , // l sae onr elay dnimic roscondes100);

/ l/ser aff doeayl i micnorescndos

et_sjmups_eepd1(00.0)0; / /ujp mpese dinb ts ier mplliseciodns

se_tamrk_spede25(0.);0 // makinr spegedin ibs tpr emilliecsndos

setend__fol_sit);

(eecxue_tislt1)(;

// rawD

drwa(sqaue, rPLOGYNSIZEO(qusrae);)

rdwatri(aglne,PO YGLOSINZ(Etriagnl))e;

/

/F iisnh

rpntfi("Finihsed- rpsesany k e tyo etminaret ");while

(k!bht()i ;)(v

od)geicth()

p;rnti(f\n");"

erutrn;}

// radw

/

/// D secrpition:/

/

/ Fu/cntin "dora" wtrnasersfth sepcifeei dfiurge t tohe RCT and 4niokve

/s/ hte TC4Rto ma k rhtt aifuge,rwhen teht ranfes is rinfshied ".radw "wats

/i / s loang a sth eamrikgno fa prev ousiyl tanrferre fidgueri fsnishedib fore

//e i tstrastto trans er fteh secifipedfig reu

//.

//

// aPamreet r M enani

/g

/// igurf e oPniertt aopol gonya rayr

// T he

firs tleeemt no fhat tarar spyciefesit e fhist roclaiotn

/ / fomrwhe r teehf igur will eebm aredkun iltt e lasht olcaiotn,//

w hihcis pecsfiedi b yhe last atrayrel ment.e/

// / sze i Aounmtof poygoln shte oplgynoar rya contains

/ / nI asec "szei"e qulas ,0 ht efuctionni mmdeiatel yetrruns

// iwhout drtawig a lnni.

e/

/// C omemnt

/ / his fTuntcinod monstretaset e uhagseo a sifglen list. Usignl sit1 onyl//

eanm tsha touyca nu tliie thz espcaeof b tohl sis,twhich euqla s0080 etniesr

// t tolay.l/

/// NTOE

// Mak sere uhatt"s iz"e si msllera hta n0800.

oid vrdwapol(gony f*iuge,ru sngnie dizs)e{

unisgedn hors tbusy ,p ostiion

;usinngde i;

if(

siz) e

{do

{ge_statts(ub&usy, po&stiino);

} whle(ibsu)y;

//O lny u,s liets1 w,hich cn halodup to 8000e nriets

se_sttra_tilts1);

j(upm_ba(fsiuger->xalv, fguir->eyval)

fo;r( = 0i ,fiuger+; i +

mrka_bs(figaur-ex>av, filureg>y-val;)s

et_edno__flist()

e;excue_ltsti();

}1

}

阅读详情:http://www.wenku1.com/news/C14CC52DAC98ED2A.html

范文五:机械设计及阿基米德螺旋线

一 阿基米德螺旋线

很多人都知道飞蛾扑火这个故事。但是,为什么飞蛾会这么执着地扑向火光呢?这要从它的祖先谈起。飞蛾的历史远比人类悠久。在亿万年前,没有人造火光,飞蛾完全靠天然光源(日光、月光或星光)指引飞行。由于太阳、月亮、星星距离地球都很远,它们发出的光线照到地球上可以认为是平行直线。当飞蛾直线飞行时,它在任何位置的前进方向与光线的夹角都是一个固定值(如图1)。可是,如果光源离得很近,不能将它们发出的光线看作平行光时,飞蛾再按照固有的习惯飞行,飞出的路线就不是直线,而是一条不断折向灯光光源的螺旋形路线(如图2)。这在数学上称为阿基米德螺线。通俗的说,阿基米德螺线就是既作匀速转动又作匀速直线运动而形成的轨迹。举一个形象一点的例子:时钟上的指针在作匀速转动,假如有一只小虫子从时钟的中心,沿指针作匀速爬动,那么虫子最终走出的轨迹就是阿基米德螺线(如图3)。

阿基米德螺旋线的标准极坐标方程为: ρ

=at+P0

式中:

a—阿基米德螺旋线系数,mm/°,表示每旋转1度时极径的增加(或减小)量;

t—极角,单位为度,表示阿基米德螺旋线转过的总度数; ρo—当t=0°时的极径,mm。

阿基米德螺线的简单画法

有一种最简单的方法画出阿基米德螺线,如图4,用一根线缠在一个线轴上,在其游离端绑上一小环,把线轴按在一张纸上,并在小环内套一支铅笔,用铅笔拉紧线,并保持线在拉紧状态,然后在纸上画出由线轴松开的线的轨迹,就得到了阿基米德螺线。

二 蜗轮蜗杆的材料 由于蜗杆传动啮合摩擦较大,且由

于蜗轮滚刀的轮齿尺寸不可能做

得和蜗杆绝对相同,被加工出来的

蜗轮齿形难以和蜗杆齿精确共轭,

必须跑合才能逐渐理想;因此,材

料副的组合必须具有良好的减磨

和跑合性能以及抗胶合性能。所以

蜗轮常采用青铜或者铸铁做齿圈,

并且可能与淬硬并经磨削的钢制蜗杆相匹配。

1 蜗杆材料一般用合金钢或碳钢制成,大部分蜗杆的齿面经渗碳淬火等热处理获得较高的硬度,由于考虑蜗杆的齿数少,工作长度短,受力次数多等原因所致,因此,蜗杆的材料不用有色金属做。

2 蜗轮轮齿一般用铜合金或者铸铁制成,蜗轮的材料为铸造锡青铜(用于滑动速度大于等于3的重要传动),铸造铝铁青铜(一般用于滑动速度小于等于4的传动)等。其强度远远不如钢制蜗杆,且蜗杆螺牙成螺旋状强度较大。因此蜗轮轮齿是蜗杆传动中的薄弱环节。

三 渐开线与延伸渐开线的区别与联系

渐开线是在平面上,一条动直线(发生线)沿着一个固定的圆(基圆)作纯滚动时,此动直线上一点

的轨迹。将一个圆轴固定在

一个平面上,轴上缠线,拉

紧一个线头,让该线绕圆轴

运动且始终与圆轴相切,那

么线上一个定点在该平面上

的轨迹就是渐开线。

直线在圆上纯滚动时,直线上一点K的轨迹称为该圆的渐开线,该圆称为渐开线的基圆,直线称为渐开线的发生线。 渐开线的形状仅取决于基圆的大小,基圆越小,渐开线越弯曲;基圆越大,渐开线越平直;基圆为无穷大时,渐开线为斜直线。渐开线方程为:

x=r×cos(θ+α)+(θ+α)×r×sin(θ+α)

y=r×sin(θ+α)-(θ+α)×r×cos(θ+α)

z=0 式中,r为基圆半径;θ为展角,其单位为弧度 而延伸渐开线是在平面上,一条动直线(发生线)沿着一个固定的圆(基圆)作纯滚动时,与圆心同居于动直线的一侧,并与动直线固连的一点的轨迹。 二者的共同点都是直线沿基圆做纯滚动,不同点是:渐开线为直线上的一点所形成的;

延伸渐开线为直线外一定点所形成的,也叫长幅渐开线

四 锥面包络圆柱蜗杆(zk蜗杆)

锥面包络圆柱蜗杆(ZK蜗杆) 这是一种非线性螺旋曲面蜗杆。它不能在车床上加工,只能在铣床上铣制并在磨床上磨削。加工时,除工件作螺旋运动外,刀具同时绕其自身的轴线作回转运动。这时,铣刀(或砂轮)回转曲面的包络面即为蜗杆的螺旋齿面。

ZK蜗杆主要是在改进阿基米德蜗杆磨削加工中产生的。磨削时,将梯形砂轮或片

状锥形砂轮安置

在蜗杆齿槽内,

使刀具轴线与蜗

杆轴线在空间交

错成一个等于蜗

杆分度圆柱上的

导程角γ。在蜗

杆与刀具的相对运动中所得到的砂轮回转面的包络面即为蜗杆螺旋面,它是非线性的,在各个剖面上的廓线都是曲线,因此通常也称为曲纹面蜗杆。由于砂轮的母线为直线,易于修正,故蜗杆的磨削及蜗轮滚刀制造也比较容易,因此这类蜗杆传动在生产中日益得到广泛的应用。在我国许多工厂在生产阿基米德蜗轮滚刀和磨削阿基米德蜗杆时,都是用类似加工ZK蜗杆的方法,用略加修形的锥形砂轮来加工的。

阅读详情:http://www.wenku1.com/news/86206F657DB46262.html

范文六:CAD画阿基米德螺旋线程序

用CAD能画阿基米德螺旋线

直接画是很难的.你可以先用"电子表格"按阿基米德螺线公式计算出一列成对的X、Y的值。并做成"X,Y"的形式,之后复制这一列值,在CAD里画样条时粘贴上去就成了,"电子表格"中抽样越细,画的图越精确,"电子表格"中抽样细不会增长人的工作量的。2。还可以用CAXA画,那更方便。阿基米德螺旋线用autolisp编程可以实现.(command"pline")(setq n0)(repeat 1000(command(polar(list 00)(/n 57.3)n))(setq n(1+n)))(command)弹簧以及螺纹(三维)1、打开CAD后,找工具/AUTOLISP/VISUAL LISP编辑器,打开.点新建文件二、之后输入(defun c:luoxuan(/)(setq b1(getpoint"请指定螺旋线基点:"))(setq r(getreal"请输入螺纹平均半径:"))(setq disp(getreal"请输入螺纹节距:"))(setq n(getint"请输入每圈细化段数:"))(setq delta(/(*2.0 pi)n))(setq j(/disp n))(setq

bb(caddr b1))(setq ang 0)(setq jj

0)(Command"UCS""o"b1)(Command"3dpoly"(list r0 0))(repeat n(setq jj(+jj

1)(setq ang(+delta ang))(setq pt2(list(*r(cos ang))(*r(sin ang))(+0(*j jj))))(Command pt2))(Command""))存盘为luoxuan.lsp,关闭编辑器3、要用时,点工具/AUTOLISP/加载,找到luoxuan.lsp文件将其加载,关闭对话框.在

命令行输入luoxuan回车,就开始了螺旋线的绘制

阿基米德螺旋线的极坐标方程为:ρ=α×(ψ+θ)

根据图中所给两点:(0 -19)和(0 -37)可得方程组:

-19=α×(1.5×π+θ)____________(1)

-37=α×(3.5×π+θ)____________(2)

由式(1)-式(2)得:18=α×2×π 得:α=9/π____(3)式(3)代入式(1)或式(2)得:θ=11×π/11

得 阿基米德螺旋线的极坐标方程为:

(注意:ψ单位为弧度)____(4)

把式(4)转成直角坐标方程就可以了!

www.3dportal.cn k _5 \. E3 c三维网技术论坛* x( {; O J- m& L7 J, M) |: z- q% v; l4 b: e三维网技术论坛4 O0 @: h- p/ 三维,cad,机械技术汽车,catia,pro/e,ug,inventor,solidedge,solidwors,caxa,时空镇江 c/ R2 S# ? 9 x5 D. E三维网技术论坛# S2 j" D, }5 @www.3dportal.cn1 N* i6 P, ?+ q a7 j, L: [) P" M,

三维网技术论坛+ D; ]* d% e- a2 y三维网技术论坛5 K! g' ^1 ~3 T! J

那个图我还没画,这个就是阿基米德螺旋线的算发了三维网技术论坛9 p/ C" F$ h

1。直接画是很难的.你可以先用“电子表格”按阿基米德螺线公式计算出一列成对的X、Y的值。并做成“X,Y”的形式,然后复制这一列值,在CAD里画样条时粘贴上去就成了,“电子表格”中取样越细,画的图越精确,,“电子表格”中取样细不会增加人的工作量的。 2。还可以用CAXA画,那更方便。

阿基米德螺旋线

用autolisp编程可以实现.

(command "pline" )

(setq n 0)

(repeat 1000

(command (polar (list 0 0) (/ n 57.3) n))

(setq n (1+ n))

)

(command)

弹簧和螺纹(三维)

1、打开CAD后,找工具/AUTOLISP/VISUAL LISP编辑器,打开.点新建文件

2、然后输入

(defun c:luoxuan

(/)

(setq b1 (getpoint "请指定螺旋线基点: "))

(setq r (getreal "请输入螺纹平均半径: "))

(setq disp (getreal "请输入螺纹节距: "))

(setq n (getint "请输入每圈细化段数: "))

(setq delta (/ (* 2.0 pi) n))

(setq j (/ disp n))

(setq bb (caddr b1))

(setq ang 0)

(setq jj 0)

(Command "UCS" "o" b1)

(Command "3dpoly" (list r 0 0))

(repeat n

(setq jj(+ jj 1)

(setq ang(+ delta ang))

(setq pt2(list (* r (cos ang)) (* r (sin ang)) (+ 0 (* j jj))))

(Command pt2)

)

(Command "")

)

存盘为luoxuan.lsp,关闭编辑器

3、要用时,点工具/AUTOLISP/加载,找到luoxuan.lsp文件将其加载,关闭对话框.在命令行输入luoxuan回车,就开始了螺旋线的绘制

阅读详情:http://www.wenku1.com/news/A36440FC894C00E2.html

范文七:阿基米德螺旋线宏程序

真正的阿基米德螺旋线宏程序

#3=10(螺距)

#4=100(最大直径)#5=200(f)

5 To6nM1{$HC

3 &PW0K8h4Q0}%*G

G54G90G00G43H01Z100 M03S2000

Z3

8 H66Z7A0_5# W4 ST%F#&&A%G01Z-2F#5 #100=#3/360

N1#1=#1+#100

#2=#2+1IF[#1GE#4]GOTO2 #101=#1*COS[#2] #102=#1*SIN[#2] G1X#101Y#102

{!4ku4WT

GOTO1

N2G00Z100 M30

6 V3b1B1v}2g%Wm圆弧表面车螺纹

M3S3350T101 #1=30

N1G0G99X#1

W9yVV4+%_{-7h6Zy33 *uFGE:y

Z2.5

G32Z0.F2.5

$ $n(Bg6Y3@3 8M

G3U5.Z-30.R200.F2.5 G2U5.Z-60.R200.F2.5 G1W-5.F2.5

9 {%8m2C%YZyp

G0X60.

Z2.5

7 b08$HZ#B

#1=#1-0.5

IF[#1GE27.5]GOTO1

D#^#VD&H^*y&Vb9

# T0$_QhpG0X100M5

.Z100.

{E19Vv*1$ S}D$CF{:E

M30

现把公司铣矩形的宏程式给大家分享下,个人感觉蛮好用的,

格式:G120 X---Y---D---Z---R---U---V---B--Q--C--F---

X:为长y:为宽

5 ~qL&4$x7b&U%$m%3 d1Nv#5X%HF+

Z:安全高度

R:旋转角度 U:铣的方向

4 M6S%n

V:矩形4角铣个V大小的,避空

F:进给

&@v*+~

D:刀补

B:下刀深度 Q:下刀量

r,u v ,b,c可以不用。

~h$3MW#现在有个问题,用G120时只能是铣外形,当矩形大小一边小于刀的2个直径,可以用它来

挖槽,大于2个刀的直径时,它只在边上铣,不能用于挖槽,因为最后收刀时它会回到中间去,我现在想让它铣大于2个刀具直径的矩形,不铣穿,挖槽加工,

O9017(G120' H.I.J.K. M VOL6 V) #120=#0

k8&GP#9y

#121=#0

$ BY$dCRH

#122=#0

#123=#0 #124=#0 #130=#0

+ {0@08e7#y47Vb5T3 ^%F$u#1m#131=#0 #132=#0

+ EP${3T

#133=#0

#134=#0

L%g0v5S3D

#140=#0

8 W9B81@#~7A0

#141=#0

#142=#0

7 HP7 xv1 Lyv3wE#143=#0

#147=#0

9 4GVR4Lk

u(Nh91z$h}"Mxh

#149=#0 #144=#0

@$G_2#T3nh$P

#145=#0

#146=#0

IF[#19NE#0]GOTO1

3 q@GUw6h5Q+ AM%b3#F&u_K

%XO3^5%OF2h9b%z*Qk36q

#19=#3

V7O#^4W&L{nUF8}$O

N1#103=#3

IF[#22EQ#0]GOTO2

#103=FUP[#22/1.42*200]/100 #3=-#22

N2IF[#23NE#0]GOTO3

vm&dXm~N0D

5 h{0*20b

9R+~E*Q2{

#23=0.8

N3IF[#7NE#0]GOTO8

L3a2%F@1y

BQ+0%k4#7=1

N8IF[ABS[#3]GT#[2000+#7]]GOTO6 #3=#0

4 uT78*Nx&0Xd2d

#103=#0

N6IF[#19LT#[2000+#7]]THEN#19=#0 IF[#19EQ#0]THEN#1=#0

IF[[#3EQ#0]AND[#19EQ#0]]GOTO4 IF[#4NE#0]THEN#144=ADP[#4] IF[#5NE#0]THEN#145=ADP[#5]

5 O+63{5R84B3IF[#6NE#0]THEN#146=ADP[#6] IF[#11NE#0]THEN#141=ADP[#11]

#120=#141-FIX[#141/2]*2(HIJK 1 OR 2) #121=FIX[#141/2]+FIX[#144/2]

X*%YL

O60d0v81B{$Hv

#122=#144-FIX[#144/2]*2

o#yu1}B*Dx3

#122=#122+#145-FIX[#145/2]*2

#123=FIX[#145/2]+FIX[#146/2] #124=#146-FIX[#146/2]*2

#130=FUP[#141/2]

5N9${2uA5

#131=#130+FUP[#144/2]

#132=FUP[#144/2]+FUP[#145/2] #133=FUP[#145/2]+FUP[#146/2] #134=FUP[#146/2]

3yN$$AR&O

#140=FIX[#141/2]

#149=#141-FIX[#141/2]*2+#144-FIX[#144/2]*2 #142=FIX[#144/2]+FIX[#145/2]

#143=#145-FIX[#145/2]*2+#146-FIX[#146/2]*2

c!_0%nTF*N_#147=FIX[#146/2]

#120=#120*#19*2-#130*#3-#140*#1

#121=#121*#19*2-#131*#3-#149*#1

@xZy#122=#122*#19*2-#132*#3-#142*#1

#123=#123*#19*2-#133*#3-#143*#1

_L0q#4wR408x

#124=#124*#19*2-#134*#3-#147*#1

N4IF[#9NE#0]GOTO5

#1{&25A

X14{7#9=100

N5#101=#24/2 #102=#25/2

n2#x4#Cc*d

Z38C#Y0*V*o11#105=#4001

7Y?61Xm8v!q3Z

#106=#4003

@63 p81xx#Z2@1S

#107=#102*#23

#108=#102-#107 #109=#101-#103 #110=#102-#103

B8{+ #KR6q2o*UN1YB#112=0

#113=0

$ d0m5 o1Q&Y595?0Bo2M

2 Eo^$N&A{-1V

IF[#2EQ#0]GOTO12

IF[#17NE#0]GOTO10 #17=10.

1gxC5Cv

N10IF[#2GT#17]GOTO11

#17=#2

N11#117=#17

#111=#17/[#24+#25-#103*4]/4*[#24-#103*2] #111=FIX[#111*100] #111=#111/100

9 BF6hPE7+ M" ~5^*+ %Ao1#9~*hX9Hq1Py*u9KP43x$o

#113=FIX[#2/#117] N12#127=#26-#8

IF[#18NE#0]GOTO13

u5O2&vyE

#18=0

N13IF[#101GT#107]GOTO14

NEN+Q6+~

#3000=1

N14IF[#21NE#0]GOTO100 G91M3

G00Z-#127

G01G41D#7X-#107Y-#108F#9 G03X#107Y-#107R#107Z-#8 IF[#2NE#0]GOTO20

" CO03h6X%a2 QL7@0SNL&g9Wu1EHb%@77_8UX#

N15#117=0#111=0

yK2@J*C7TU

u}u%O18U&pC%T(

N20DO1

G01X[#109-#120]Z-#111 IF[#141EQ#0]GOTO22 IF[#141EQ1.]GOTO21 G03Y[#19*2]R#19

5 z!ZD4 v

IF[#1EQ#0]GOTO23

G01X-#1

" M6C1Q+u

T2~2UT4Gv8o*C%FC

GOTO23

N21IF[#1EQ#0]GOTO26Y-#1

N26G03X[#19*2]R#19 GOTO23

Q%O_51n#4B9y

%_*B8P3So&DR3

N22IF[#103EQ#0]GOTO23 G03X#103Y#103R#3

N23G01Y[2*#110-#121]Z-[#117/2-#111*2]

IF[#144EQ#0]GOTO25 IF[#144EQ1.]GOTO24 IF[#1EQ#0]GOTO27

Agg0*P

X#1

N27G03Y[#19*2]R#19 GOTO30

N24G03X-[#19*2]R#19 IF[#1EQ#0]GOTO30

%TY8y1Yu1p

G01Y-#1

GOTO30

T2 ~7+y&D9

N25IF[#103EQ#0]GOTO30

G03X-#103Y#103R#3

N30G01X-[2*#109-#122]Z-[#111*2]IF[#145EQ#0]GOTO32 IF[#145EQ1.]GOTO31

#6Hy0LF5Yv6n@%2

G03Y-[#19*2]R#19

IF[#1EQ#0]GOTO33

H&&Tqk

G01X#1 GOTO33

P#b6o2W8u5N31IF[#1EQ#0]GOTO36

Y#1

N36G03X-[#19*2]R#19

" XLd$A6Sq

&D^6G1^P4u9

N32IF[#103EQ#0]GOTO33 G03X-#103Y-#103R#3 N33G01Y-[2*#110-#123]Z-[#117/2-#111*2] IF[#146EQ#0]GOTO35

E#_4~h+M+Bk@A9$V#M+4 *KG1y3AB0qC9Pdm*5m&~g+b~F:

IF[#146EQ1.]GOTO34

@*3QmqIF[#1EQ#0]GOTO37 X-#1

N37G03Y-[#19*2]R#19

@1%U90SN

GOTO40

X#GwY6xMn

N34G03X[#19*2]R#19 IF[#1EQ#0]GOTO40

%&S8p&a$q

u+8d$L$Yb3G01Y#1

GOTO40

+*o+ &hv6~uQN35IF[#103EQ#0]GOTO40

G03X#103Y-#103R#3

c*14n(@5 8E"v7~1L2V

N40G01X[#109-#124]Z-#111 #112=#112+1.

IF[#111EQ0]GOTO42

7 y8v9x5wIF[#113EQ#112]GOTO41

3 K6U}DC8#W*A

IF[#113LE#112]GOTO15

END1

N41IF[#2EQ#113*#17]GOTO15

#111=[#2-#113*#17]/[#24+#25-#103*4]*[#24-#103*2]/4 #111=FIX[#111*100]

9 ~2Bm*g3hB8h8E

Z%N&S&b

#111=#111/100

#117=#2-#113*#17 GOTO20

N42G03X#107Y#107R#107 G01G40X-#107Y#108

}4h#+~^6 Gk9m#3VE

G00Z[#26+#2]

IF[#18EQ#0]GOTO43G69

N43G#105G#106

4 ~4n+NLqx

d+U3Q#G05u9&b~

IF[#21EQ#0]GOTO110

N100(HORIKOMI UPPER) (G21) G91M3 G68R#18

+ W0*0S

G00Z-#127

s2u3OZ5oD5

G01G42D#7X#107Y-#108F#9 G02X-#107Y-#107R#107Z-#8

IF[#2NE#0]GOTO102 N101#117=0

8b37y8K&qT

* 7m%~*wL3*{OY

N102DO2

G01X[-#109+#120]Z-#111 IF[#141EQ#0]GOTO122 IF[#141EQ1.]GOTO121 G02Y[#19*2]R#19 IF[#1EQ#0]GOTO103 G01X#1 GOTO103

N121IF[#1EQ#0]GOTO126 Y-#1

N126G02X-[#19*2]R#19

3#o$TS2^K

GOTO103

N122IF[#103EQ#0]GOTO103

0 qa$Gvm1 G02X-#103Y#103R#3

N103G01Y[2*#110-#121]Z-[#117/2-#111*2]

9 Q4AC9N

IF[#144EQ#0]GOTO125

IF[#144EQ1.]GOTO124 IF[#1EQ#0]GOTO127

LW7 ZHG$

F$40Nb12{+YXZ2

X-#1

%p+Gu7k%47n

5 @3k2w7n4Om

N127G02Y[#19*2]R#19

* n$}%ho%%OU

GOTO104

N124G02X[#19*2]R#19 IF[#1EQ#0]GOTO104 G01Y-#1

{7g&w%^UB+O

p3P:Q5wb8&p4n

7YS9DC1GOTO104

N125IF[#103EQ#0]GOTO104

5 TTWx"dF4O~+

B3AXh*

G02X#103Y#103R#3

N104G01X[2*#109-#122]Z-[#111*2]IF[#145EQ#0]GOTO132

#9y39}8 h&yVd#32%SbKT*

IF[#145EQ1.]GOTO131

G02Y-[#19*2]R#19 IF[#1EQ#0]GOTO105G01X-1

+T/VX#M%NV8O3u80o8B%G5{W9g

GOTO105

N131IF[#1EQ#0]GOTO136 Y#1

N136G02X[#19*2]R#19 GOTO105

" %Dd)*v2q6N132IF[#103EQ#0]GOTO105 G02X#103Y-#103R#3

?$n7Z7R+U9u$L no

0E68H7q2?9w

N105G01Y[-2*#110+#123]Z-[#117/2-#111*2]

IF[#146EQ#0]GOTO135 IF[#146EQ1.]GOTO134

%VN+_28p^&D^7

IF[#1EQ#0]GOTO137

~57}+ Pn8$_

X#1

N137G02Y-[#19*2]R#19 GOTO106

N134G02X-[#19*2]R#19

T1{S+Z4m2G

" 5g2dA}2IF[#1EQ#0]GOTO106 G01Y#1

1 S0~2{O3{53nGOTO106

N135IF[#103EQ#0]GOTO106

# dC6#P!p1G02X-#103Y-#103R#3

N106G01X[-#109+#124]Z-#111

#112=#112+1.

0 ZUq4v

pD6B%@5 Rn9C

IF[#111EQ0]GOTO108

IF[#113EQ#112]GOTO107

Zgq$6R&Ae*~

IF[#113LE#112]GOTO101

END2

$ u"M15qg

&D&S~$B&}

N107IF[#2EQ#113*#17]GOTO101

#111=[#2-#113*#17]/[#24+#25-#103*4]*[#24-#103*2]/4 #111=FIX[#111*100]

Ub0bN@69LT1T8^b

$ hg7FT

#111=#111/100 #117=#2-#113*#17

6 q*+Hq9%g5w

GOTO102

N108G02X-#107Y#107R#107 G01G40X#107Y#108 G00Z[#26+#2] IF[#18EQ#0]GOTO109 G69

" n7X&@2M*V%~GN109G#105G#106 N110M99

_$XP30Np3_

G{#h&V$R3F8PH

M30

%

阅读详情:http://www.wenku1.com/news/7ADE65BEF71CC108.html

范文八:阿基米德螺旋线研究

阿基米德基体方程:

T=[0,1]

r=10*(1+t)

x=r*cos(t*360)

y=r*sin(t*360)

z=0

应用:比如现在要绘制195mm的最大外径,螺旋间距为10mm

则方程可以书写为:

r=10*(1+18.5*t)

x=r*cos(t*360*19.5)= 10*(1+18.5*t) *cos(t*360*19.5)

y=r*sin(t*360*19.5)= 10*(1+18.5*t) *sin(t*360*19.5)

z=0

同理:比如现在要绘制最大外径135mm,螺旋间距为2mm

则可书写为:

r=2*(1+66.5*t)

x=r*cos(t*360*67.5)= 10*(1+66.5*t) *cos(t*360*67.5)

y=r*sin(t*360*67.5)= 10*(1+66.5*t) *sin(t*360*67.5)

z=0

故而数学通式如下:D,a分别表示最大外径和间距

r=a*(1+()*t)

x=r*cos(t*360*)= a*(1+()*t) *cos(t*360*)

y=r*sin(t*360*)= a*(1+()*t) *sin(t*360*)

z=0

proe通式:

D= /*最大外径*/

a= /*螺旋间距*/

r=a*(1+(D/a-1)*t)

x=r*cos(t*360*D/a) /*[ = a*(1+(D/a-1)*t) *cos(t*360*D/a)]*/

y=r*sin(t*360*D/a) /*[ = a*(1+(D/a-1)*t) *sin(t*360*D/a)]*/如果是反向螺旋的话,y为相反数;或者x为相反数*/

z=0

阅读详情:http://www.wenku1.com/news/347A45C5CC14212D.html

范文九:阿基米德螺旋曲线java实现

写的很匆忙,面有问里谁要题自己谁去吧修就是,取整问的导致重题影。了

package ext;tim

por tjav.aamth.;*i

porm jatva.uiltArr.yas;pub

lic clsas txe {t

pubicls atti inc tR2=

;p

ulbicsta ic tnt i=n3;p

buil scatitc d uolb pea=3.i141526;9p

ulbicsta tic d ubole step=0.00001;0

ubpil c oubled Y0=;

pulbc ini RR=(tnti(R*n)*ai)p+1;0

pbulic itn][[ ]stqatr=nwei nt[*2R][2*RR]R;

pulbi texct(){

loxuu()n;

}

uplibc s taic void tmia(Stningr[]a rgs){ t

et fxne=wtext();

}

pulibcvoid lu oux(){n

nit xx1=0;

nit y1=y;0

for(nt ij=;j0=Math

int xx=i(tn)(RR+*RY*Mth.aoc(sY));

inty =(yni)(RtRR-**YatMhsi.nY();)

if( (aMth.ab(xsx-xx1>)1&=Ma&tha.sb(y-yyy1)>1))={q

sart[xt][yx]=2y;}

x1xx=x

y;y1=yy;Y=

Y+tspe;

}

for(itni =0i;

(irt n=0;jj=2*R

Ssyet.oum.print(qttasr[it[]j]);}

Systm.eut.orpntlin();

}

}

}

阅读详情:http://www.wenku1.com/news/9130E6B02C9650F7.html

范文十:阿基米德螺旋线与对数螺旋线1212

母线在绕轴线做匀速圆周运动的同时,做匀速或变速轴向运动,母线的运动轨迹形成等螺距或变螺距螺旋面。

螺旋面与同轴的圆柱面或同轴圆锥面的交线,称为圆柱螺线或圆锥螺线。[4] 混凝土搅拌车中常用的螺旋线是直纹正螺旋面和直纹斜螺旋面。 直纹:母线为直线。

正螺旋和斜螺旋:母线与轴线垂直或斜交。 螺旋角

螺旋线上某点(取正对着的那一点)的切线与圆柱面或圆锥面的母线之间的夹角称为螺旋角,一般用表示[6]

升角

螺旋线上某点(取正对着的那一点)的切线与通过该点的圆柱截面在该点的切线之间的夹角,称为螺旋升角,简称升角,常用表示[6]

90

相当于在圆柱面上有一张白纸,并转动,铅笔紧靠白纸,并作轴向运动,形成的轨迹,称为螺旋线。把白纸展开,即可得螺旋升角。

图片来自文献[15]

阿基米德螺旋线:螺距相等的螺旋线。

既做匀速转动又做等速直线运动(两速度要同步),而形成的轨迹,称为“阿基米德螺旋”,又称等螺距螺线。[8]圆锥的阿基米德螺线的螺旋角是变化的。[6]

如果选用阿基米德螺线,在筒体的几何参数和螺旋角选定的情况下,螺旋角是从圆锥小端至圆锥大端递增的

对数螺旋线:

对数螺旋线又称等角螺旋线或等升角螺旋线或等螺旋角螺旋线,其螺距是变化的。[6] 如果选择对数螺线,在筒体的几何参数和螺旋角选定的情况下,螺距是随各截面处直径的变化而成正比变化的,这时的螺旋角可以设计为不变。

阿基米德螺旋叶片螺距相等,但是螺旋角不等; 对数螺旋叶片的螺距不相等,但是螺旋角相等。

螺旋角越大,升角就越小,搅拌性能就越差,出料性能越好; 螺旋角越小,升角就越大,搅拌性能就越好,出料性能越差。 搅拌性性能差,容易离析

所以罐车的两头的螺旋角大,中间的螺旋角小。

面积元对地的最大倾斜线用S表示;对地倾斜角

螺旋线的切线用表示;对地倾斜角;螺旋面的母线用n表示;对地倾斜角

n

图片来自文献4,注意出料方向

阅读详情:http://www.wenku1.com/news/2DE2B6A77469EF0A.html